View Single Post
Old July 18th, 2012, 05:44 AM   #820 (permalink)
EarlyMon
The PearlyMon
 
EarlyMon's Avatar
 
Join Date: Jun 2010
Location: New Mexico, USA
Posts: 46,371
 
Device(s): M8, LTEvo, 3vo, and Shift - Evo retired
Carrier: Sprint

Thanks: 42,727
Thanked 57,185 Times in 22,977 Posts
Default

I think that the point is, one shouldn't have to upgrade their phone if the one that they have is capable of running the latest software, just because of 4G politics.
__________________
|

Minutus cantorum, minutus balorum, minutus carborata descendum pantorum.

Links: Site Rules / Guidelines -and- Zero Tolerance Policy (All Members Read)


For right-on help, the Thanks button is on the right of the post.
For anything out in left field, the /!\ report button is to the left.

Remember, it's our forums and we're all in this together - so let's keep it cool!

Shoot the breeze at the best new gun forum!
EarlyMon is offline  
The Following 3 Users Say Thank You to EarlyMon For This Useful Post:
ArmageddonX (July 18th, 2012), bobby2478 (July 24th, 2012), DonB (July 18th, 2012)